<!-- Breadcrumb -->
<div class="breadcrumbs overlay" data-stellar-background-ratio="0.7">

</div>
<!--/ End Breadcrumb -->
<div class="container">
    <div class="row my-4">
        <div class="col-md-12">
            <ul class="booking-journey">
                <li class="done">
                    <a class="item">Search <i class="icon-tick-bold"></i></a>
                </li>
                <li class="done">
                    <a class="item" ng-click="goBack('/flightResult')"href>Choose Flight <i class="icon-tick-bold"></i></a>
                </li>
                <li class="active">
                    <span class="item">Choose Extras</span>
                </li>
                <li>
                    <span class="item">Book</span>
                </li>
            </ul>
        </div>
    </div>
    
    <div class="row my-4">
        <div class="col-md-12">
            <h3>
                Review Your Flights
            </h3>
        </div>
    </div>
    <div class="row my-4">
        <div class="col col-8">
            <div class="card flight-summary">
                <div class="card-header">
                    Your flights from {{pricingData.frmAirprt.split('(')[0]}} <span ng-show="pricingData.srchType == 2"> &#8652; </span> <span ng-show="pricingData.srchType == 1"> &#8594; </span>{{pricingData.toAirprt.split(',')[0]}}
                </div>
                <div class="card-body">
                    <h4 class="sc-c-heading">Flights</h4>
                    <div class="flight-leg">
                        <i class="leg-icon icon-flight-out"></i>
                        <div class="airports">
                            {{flightdetails.origin.split('(')[0]}}
                            <i class="arrow-icon icon-chevron-forward"></i> {{flightdetails.dest.split('(')[0]}}
                        </div>
                        <div class="details">
                            <span class="date">{{pricingData.deptDate}}</span>&nbsp;&nbsp;
                            <span>{{flightdetails.startTime}}</span>
                            <i class="arrow-icon sc-u-text--bidi icon-chevron-forward"></i>
                            <span>{{flightdetails.dispTotFlyDuration}}</span>
                            <!-- <span class="day-diff">(+1)</span> -->
                        </div>
                    </div>
                    <div class="flight-leg" ng-hide="pricingData.srchType == 1">
                        <i class="leg-icon icon-flight-in"></i>
                        <div class="airports">
                            {{flightdetails1.origin.split('(')[0]}}
                            <i class="arrow-icon icon-chevron-forward"></i> {{flightdetails1.dest.split('(')[0]}}
                        </div>
                        <div class="details">
                            <span class="date">{{pricingData.arrDate}}</span>&nbsp;&nbsp;
                            <span>{{flightdetails1.startTime}}</span>
                            <i class="arrow-icon sc-u-text--bidi icon-chevron-forward"></i>
                            <span>{{flightdetails1.dispTotFlyDuration}}</span>
                        </div>
                    </div>
                    <ul class="inline-info-list">
                        <li>
                            <a ng-click="openFlight('lg',any);" class="o-icon-label o-icon-label--sm">
                                <i class="o-icon-label__icon icon-information"></i>
                                <span class="o-icon-label__caption">Flight Details</span>
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="col col-4">
            <div class="card flight-summary">
                <div class="card-header">
                    Price Breakdown
                </div>
                <div class="card-body py-4">
                    <ul class="cost-breakdown-list pt-3 pb-2">
                        <li class="section">
                            <div class="title">
                                Flights
                               
                            </div>
                            <div class="total price"><span ng-bind="currency"></span> <span ng-bind="totalFare"></span></div>
                        </li>
                        <li class="section">
                            <div class="title">Extras</div>
                            <div class="total price"><span ng-bind="currency"></span> <span ng-bind="extras"></span></div>
                        </li>
                        <li class="section section-total">
                            <div class="title">Total price</div>
                            <div class="total price"><span ng-bind="currency"></span> <span ng-bind="totalFare + extras"></span></div>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>

    <div class="sc-c-header-bar">
        <h3>
            Handpick your holiday essentials
        </h3>
    </div>

    <div class="o-placeholder o-placeholder--sm">
        <div class="sc-c-box booking-options-panel">
            <div class="sc-c-box__content">
                <div class="c-panel-with-icon">
                    <i class="c-panel-with-icon__icon icon-insurance"></i>
                    <h3 class="c-panel-with-icon__heading">Add Travel Insurance</h3>
                    <p>Ensure your party is covered before you go.</p>
					
						<div ng-repeat="plans in InsuranceDetails.availablePlans">
					<input type="radio" class="planradio"  name="plans" id="plans" ng-click="getSelectedPlanId($index);" />
					<div class="planList">
                        
						<div class="custom-control-label" for="customRadio1">
							 <a class="info-icon-link"><span ng-bind="plans.planTitle"></span>
								<i class="icon-information" ng-click="selectPlan($index,'lg', any);"></i>
								</a> 
								<span class="c-panel-radio-fare">{{currency}} {{plans.totalFare}}</span>
							</div>
                       
                    </div>
					</div>
						
					
                    <p class="mb-3">The prices quoted are total prices for all travellers in your party.</p>
                   <!--  <a href class="o-icon-label o-icon-label--sm">
                        <i class="o-icon-label__icon icon-information"></i>
                        <span class="o-icon-label__caption">More about Insurance</span>
                    </a> -->
                </div>

            </div>

        </div>

    </div>

    <div class="row mb-5">
        <div class="col"></div>
        <div class="col">
            <button type="button" class="btn btn-block btn-select btn-details" ui-sref="flightReview">
			Book Now for <span ng-bind="currency"></span> &nbsp;<span ng-bind="totalFare + extras"></span>
            </button>
        </div>
        <div class="col"></div>
    </div>
	
	<script type="text/ng-template" id="aboutInsurance.html">
		<div class="modal-header">
		<h3 class="modal-title" id="modal-title">
		Insurance
	</h3>
</div>
<div class="modal-body">
	<div class="sc-o-row">
		<div class="sc-o-col-12 sc-u-grid-gutter-y">
			<div class="search-result-container flight-details">
				<!-- <div ng-repeat="flightsearchResdetails in flightsearchResInfo.flightSearchResults track by $index"> -->
					<div class="flight-listing">
						<div class="flight-legs-section">
						<div class="flight-leg">
							<div class="leg-header">
												<span class="flight-date" ng-bind="avaliablePlan.planTitle"></span>
											</div>
							<div class="leg-main">
								<div class="parts">
									<p ng-bind-html="renderHTMLFactory.renderHTML(avaliablePlan.planContent)"></p>
									</div>
								</div>
							</div>
							
						</div>
					</div>
				<!-- </div> -->
				
			</div>
			
		</div>
	</div>
</div>
<div class="modal-footer">
	
	<button type="button" class="applyBtn btn btn-primary" ng-click="cancel();">Discard</button>
</div>
</script>


<!-- for flight Details -->

<script type="text/ng-template" id="flightDetailedinfoContent.html">
		<div class="modal-header">
		<h3 class="modal-title" id="modal-title">
		Flight Details
	</h3>
</div>
<div class="modal-body">
	<div class="sc-o-row">
		<div class="sc-o-col-12 sc-u-grid-gutter-y">
			<div class="search-result-container flight-details">
				<!-- <div ng-repeat="flightsearchResdetails in flightsearchResInfo.flightSearchResults track by $index"> -->
					<div class="flight-listing">
						<div class="flight-legs-section">
							<div ng-repeat="segment in flightDetails1.segGrpList">
								<div ng-repeat="segmentList in segment.segList">
									<div ng-repeat="info in segmentList.fltInfoList">
										<div class="flight-leg">
											<div class="leg-header">
												<span class="flight-date"></span>
											</div>
											<div class="leg-main">
												<div class="airline-logo">
													<img src="images/Airlines/sm{{info.airline}}.png">
													<p ng-bind="info.fltNum"></p>
													
												</div>
												<div class="leg-itinerary">
													<div class="parts">
														<div class="part part-point part-point-departure">
															<div class="flight-airport-title">
																<span class="flight-time" ng-bind="info.dispStartTime"></span>
															</div>
															<div class="flight-airport-title">
																<span class="flight-time" ng-bind="info.dispArrTime"></span>
																
															</div>
														</div>
														<div class="part part-journey">
															
															<div class="flight-duration">
																<span class="flight-airport-code" ng-bind="info.origin.split('(')[1].substring(0,3)"></span>
																<span class="title" ng-bind="info.origin.split('(')[0]"></span>
																
															</div>
															
															<div class="flight-stops">
																<span class="flight-airport-code" ng-bind="info.dest.split('(')[1].substring(0,3)"></span>
																<span class="title" ng-bind="info.dest.split('(')[1].substring(0,3)"></span>
															</div>
														</div>
														<div class="part part-point part-point-arrival">
															<div class="route-circle top"></div>
															<div class="route-circle bottom"></div>
															<span class="duration">{{flight.fromFlight.duration}}</span>
														</div>
													</div>
												</div>
												
											</div>
											<div class="leg-footer">
												<p class="pull-left">Arrives: <strong ng-bind="info.dispEndDate"></strong></p>
												<p class="pull-right">Journey Duration: <strong  ng-bind="info.dispDuration"></strong></p>
												<div class="clearfix"></div>
											</div>
										</div>
									</div>
								</div>
							</div>
							
						</div>
					</div>
				<!-- </div> -->
				
			</div>
			
		</div>
	</div>
</div>
<div class="modal-footer">
	
	<button type="button" class="applyBtn btn btn-primary" ng-click="cancel();">Discard</button>
</div>
</script>

</div>
  
  
<!-- </div> -->